<!DOCTYPE html>
<html lang="en">
<head>
<title>Φ otseca v1.0.5 security audit script</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!--========================================================================-->

<link rel="icon" type="image/png" href="images/icons/favicon.ico"/>

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/animate/animate.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/select2/select2.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/perfect-scrollbar/perfect-scrollbar.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="css/util.css">
<link rel="stylesheet" type="text/css" href="css/main.css">

<!--========================================================================-->
</head>
<body>

<!--========================================================================-->

<img src="images/otseca_logo.png">

<h2 class="title">(Ot)her (Sec)urity (A)wareness</h2>

<p class="link">Project: <a href="https://github.com/trimstray/otseca">https://github.com/trimstray/otseca </a></p>

<p class="desc">Open source security auditing tool to search and dump system configuration.<br>It allows you to generate reports in HTML or RAW-HTML formats.</p>

<p class="info">
Φ otseca v1.0.5 security audit script
</p>

<p class="date">
gen_time: 07.01.2021 17:28:26
</p>

<!--========================================================================-->

<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec hostname -f</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>ip-172-31-89-172.ec2.internal</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec ifconfig -a</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 9001
        inet 172.31.89.172  netmask 255.255.240.0  broadcast 172.31.95.255
        ether 12:8f:85:ca:e0:b5  txqueuelen 1000  (Ethernet)
        RX packets 98815  bytes 133964455 (133.9 MB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 21447  bytes 3096965 (3.0 MB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 1488  bytes 118026 (118.0 KB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 1488  bytes 118026 (118.0 KB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec iwconfig</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec netstat -tunap</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State       PID/Program name    
tcp        0      0 127.0.0.53:53           0.0.0.0:*               LISTEN      76272/systemd-resol 
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN      76133/sshd: /usr/sb 
tcp        0      0 127.0.0.1:25            0.0.0.0:*               LISTEN      154647/sendmail: MT 
tcp        0      0 127.0.0.1:587           0.0.0.0:*               LISTEN      154647/sendmail: MT 
tcp        0      0 172.31.89.172:22        67.4.87.51:40792        TIME_WAIT   -                   
tcp        0      0 172.31.89.172:22        67.4.87.51:41682        TIME_WAIT   -                   
tcp        0   2040 172.31.89.172:22        95.208.80.10:10332      ESTABLISHED 1804/sshd: ubuntu [ 
tcp        0      0 172.31.89.172:22        67.4.87.51:42300        ESTABLISHED 233513/sshd: [accep 
tcp        0      0 172.31.89.172:22        71.34.99.214:59654      ESTABLISHED 233143/sshd: [accep 
tcp        0      0 172.31.89.172:22        67.4.87.51:42192        TIME_WAIT   -                   
tcp6       0      0 :::22                   :::*                    LISTEN      76133/sshd: /usr/sb 
udp        0      0 0.0.0.0:635             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:640             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:641             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:161             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:162             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:700             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:34555           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:513             0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:1               0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:32770           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:32771           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:32772           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:32773           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:32774           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:7               0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:9               0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:54321           0.0.0.0:*                           168164/portsentry   
udp        0      0 127.0.0.53:53           0.0.0.0:*                           76272/systemd-resol 
udp        0      0 0.0.0.0:37444           0.0.0.0:*                           168164/portsentry   
udp        0      0 172.31.89.172:68        0.0.0.0:*                           76264/systemd-netwo 
udp        0      0 0.0.0.0:69              0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:31335           0.0.0.0:*                           168164/portsentry   
udp        0      0 0.0.0.0:31337           0.0.0.0:*                           168164/portsentry   </pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec netstat -rn</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
0.0.0.0         172.31.80.1     0.0.0.0         UG        0 0          0 eth0
172.31.80.0     0.0.0.0         255.255.240.0   U         0 0          0 eth0
172.31.80.1     0.0.0.0         255.255.255.255 UH        0 0          0 eth0</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -nL -v</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Chain INPUT (policy ACCEPT 1563 packets, 118K bytes)
 pkts bytes target     prot opt in     out     source               destination         
    0     0 f2b-sshd   tcp  --  *      *       0.0.0.0/0            0.0.0.0/0            multiport dports 372

Chain FORWARD (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain OUTPUT (policy ACCEPT 2824 packets, 349K bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain f2b-sshd (1 references)
 pkts bytes target     prot opt in     out     source               destination         
    0     0 REJECT     all  --  *      *       67.4.87.51           0.0.0.0/0            reject-with icmp-port-unreachable
    0     0 REJECT     all  --  *      *       71.34.99.214         0.0.0.0/0            reject-with icmp-port-unreachable
    0     0 RETURN     all  --  *      *       0.0.0.0/0            0.0.0.0/0           </pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -nL -v -t nat</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Chain PREROUTING (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain INPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain OUTPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain POSTROUTING (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         </pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -S</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>-P INPUT ACCEPT
-P FORWARD ACCEPT
-P OUTPUT ACCEPT
-N f2b-sshd
-A INPUT -p tcp -m multiport --dports 372 -j f2b-sshd
-A f2b-sshd -s 67.4.87.51/32 -j REJECT --reject-with icmp-port-unreachable
-A f2b-sshd -s 71.34.99.214/32 -j REJECT --reject-with icmp-port-unreachable
-A f2b-sshd -j RETURN</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec lsof -ni</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>COMMAND      PID            USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
sshd        1804            root    4u  IPv4  26579      0t0  TCP 172.31.89.172:ssh->95.208.80.10:10332 (ESTABLISHED)
sshd        1893          ubuntu    4u  IPv4  26579      0t0  TCP 172.31.89.172:ssh->95.208.80.10:10332 (ESTABLISHED)
sshd       76133            root    3u  IPv4 132991      0t0  TCP *:ssh (LISTEN)
sshd       76133            root    4u  IPv6 133002      0t0  TCP *:ssh (LISTEN)
systemd-n  76264 systemd-network   20u  IPv4 134030      0t0  UDP 172.31.89.172:bootpc 
systemd-r  76272 systemd-resolve   12u  IPv4 134310      0t0  UDP 127.0.0.53:domain 
systemd-r  76272 systemd-resolve   13u  IPv4 134311      0t0  TCP 127.0.0.53:domain (LISTEN)
sendmail- 154647            root    4u  IPv4 227120      0t0  TCP 127.0.0.1:smtp (LISTEN)
sendmail- 154647            root    5u  IPv4 227121      0t0  TCP 127.0.0.1:submission (LISTEN)
portsentr 168164            root    0u  IPv4 242683      0t0  UDP *:1 
portsentr 168164            root    1u  IPv4 242685      0t0  UDP *:echo 
portsentr 168164            root    2u  IPv4 242687      0t0  UDP *:discard 
portsentr 168164            root    3u  IPv4 242689      0t0  UDP *:tftp 
portsentr 168164            root    4u  IPv4 242691      0t0  UDP *:snmp 
portsentr 168164            root    5u  IPv4 242693      0t0  UDP *:snmp-trap 
portsentr 168164            root    6u  IPv4 242695      0t0  UDP *:who 
portsentr 168164            root    7u  IPv4 242697      0t0  UDP *:635 
portsentr 168164            root    8u  IPv4 242699      0t0  UDP *:640 
portsentr 168164            root    9u  IPv4 242701      0t0  UDP *:641 
portsentr 168164            root   10u  IPv4 242703      0t0  UDP *:700 
portsentr 168164            root   11u  IPv4 242705      0t0  UDP *:37444 
portsentr 168164            root   12u  IPv4 242707      0t0  UDP *:34555 
portsentr 168164            root   13u  IPv4 242709      0t0  UDP *:31335 
portsentr 168164            root   14u  IPv4 242711      0t0  UDP *:32770 
portsentr 168164            root   15u  IPv4 242713      0t0  UDP *:32771 
portsentr 168164            root   16u  IPv4 242715      0t0  UDP *:32772 
portsentr 168164            root   17u  IPv4 242717      0t0  UDP *:32773 
portsentr 168164            root   18u  IPv4 242719      0t0  UDP *:32774 
portsentr 168164            root   19u  IPv4 242721      0t0  UDP *:31337 
portsentr 168164            root   20u  IPv4 242723      0t0  UDP *:54321 
sshd      233143            root    4u  IPv4 323225      0t0  TCP 172.31.89.172:ssh->71.34.99.214:59654 (ESTABLISHED)
sshd      233144            sshd    4u  IPv4 323225      0t0  TCP 172.31.89.172:ssh->71.34.99.214:59654 (ESTABLISHED)
sshd      233513            root    4u  IPv4 323783      0t0  TCP 172.31.89.172:ssh->67.4.87.51:42300 (ESTABLISHED)
sshd      233552            sshd    4u  IPv4 323783      0t0  TCP 172.31.89.172:ssh->67.4.87.51:42300 (ESTABLISHED)</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<!--========================================================================-->

<script src="vendor/jquery/jquery-3.2.1.min.js"></script>

<!--========================================================================-->

<script src="vendor/bootstrap/js/popper.js"></script>
<script src="vendor/bootstrap/js/bootstrap.min.js"></script>

<!--========================================================================-->

<script src="vendor/select2/select2.min.js"></script>

<!--========================================================================-->

<script src="vendor/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script>
$('.js-pscroll').each(function(){
var ps = new PerfectScrollbar(this);

$(window).on('resize', function(){
ps.update();
})
});

</script>

<!--========================================================================-->

<script src="js/main.js"></script>

</body>
</html>
